# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1 pypi

DESCRIPTION="OpenSCAD for Python"
HOMEPAGE="https://github.com/SolidCode/SolidPython"
KEYWORDS="~amd64 ~x86"

LICENSE="LGPL"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=">=dev-python/euclid3-0.01[${PYTHON_USEDEP}]
	>=dev-python/ply-3.11[${PYTHON_USEDEP}]
	>=dev-python/pypng-0.0.19[${PYTHON_USEDEP}]
	~dev-python/prettytable-3.8.0[${PYTHON_USEDEP}]
	>=dev-python/regex-2019.4[${PYTHON_USEDEP}]
"

DEPEND="${RDEPEND}"

src_prepare() {
	# Sanitize dependency versions
	sed -e "s/,<0.2.0//" \
		-e "s/,<0.0.20//" \
		-e "s/,<2020.0//" \
		-i "${S}"/setup.py || die "sed failed"

	default
}
