# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

inherit multilib

MY_PN="printer-driver-ptouch"

DESCRIPTION="P-Touch PT-series and QL-series printer driver for Linux (under CUPS)"
HOMEPAGE="https://github.com/philpem/printer-driver-ptouch"

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="https://github.com/philpem/${MY_PN}.git"
	KEYWORDS=""
	inherit autotools git-r3
else
	KEYWORDS="~amd64 ~x86"
	SRC_URI="https://github.com/philpem/${MY_PN}/archive/refs/tags/v${PV}.tar.gz"
fi

RESTRICT="nomirror"

LICENSE="GPL-2"
SLOT="0"
IUSE=""

RDEPEND=""
DEPEND="net-print/cups
	net-print/foomatic-db-engine
	${RDEPEND}"

src_prepare() {
	if [[ ${PV} == "9999" ]] ; then
		eautoreconf
	fi
	default
}

src_configure() {
	econf --libdir="/usr/libexec"
}

src_install() {
	default

	# Fix collisions
	rm "${D}"/usr/share/foomatic/db/source/printer/Brother-PT-{1500PC,18R,1950,1950VP,1960,2300,2420PC,2450DX,2500PC,2600,2610,3600,550A,9200DX,9200PC,9400,9500PC,9600,PC}.xml
	rm "${D}"/usr/share/foomatic/db/source/printer/Brother-QL-{5{00,50},650TD}.xml
}
